> For the complete documentation index, see [llms.txt](https://docs.secure-contacts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secure-contacts.com/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-seccontacts.sharedmailboxcontacts.md).

# SCA Configuration - SecContacts.SharedMailboxContacts

### SecContacts.SharedMailboxContacts

This setting defines one or more Exchange Online shared mailboxes as optional contact sources for SCA. Each mailbox becomes a separate data source. Shared mailbox contacts are stored in Exchange Online, allowing a small team to share and manage contacts collectively. Users with full or read-only access can use these contacts in Outlook ("People"/"Contacts") and in SCA.

* Name: `SecContacts.SharedMailboxContacts`
* Value:  `[{"name":"<smc_name>", "value":"<smc_emailaddress>"}]`

The Value property is a JSON Array of name value pairs. You can add one or multiple shared mailbox email addresses here.

Replace **\<smc\_name>** with the unique name to identify the shared mailbox

* e.g. `SCM1`

Replace **\<smc\_emailaddress>** with the email address of a shared mailbox.

* e.g. `marketing@provectus-lab.de`

If the SCA user is member of the shared mailbox configured here, then contacts stored in that shared mailbox will become available in SCA.

If the SCA user is NOT member of the shared mailbox configured here, then this setting is ignored by SCA and the user will not see any contacts stored in that shared mailbox.

### **Configuration fields**

<table><thead><tr><th width="139.00006103515625">Field</th><th width="76.99993896484375">Type</th><th width="91.66656494140625">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>Yes</td><td>Unique identifier for the shared mailbox datasource. Can be any value.</td></tr><tr><td><code>value</code></td><td>string</td><td>Yes</td><td>Email address of the Exchange Online shared mailbox.</td></tr><tr><td><code>targetGroups</code></td><td>string</td><td>No</td><td>Comma-separated list of Microsoft Entra ID Group Object IDs. If specified, only users who are members of at least one of the configured groups can see this datasource. If omitted, the datasource is available to all users.</td></tr></tbody></table>

### **Examples**

**Single Shared Mailbox**

```json
[
  {
    "name": "SMC-Marketing",
    "value": "marketing@provectus-lab.de"
  }
]
```

The shared mailbox becomes available to all SCA users who have access to the configured Exchange Online shared mailbox.

**Shared Mailbox with Target Group Restriction**

```json
[
  {
    "name": "HR",
    "value": "hr@contoso.com",
    "targetGroups": "15e3a3d2-50a6-43e3-137e-a44316d0b448"
  }
]
```

Only SCA users who are members of the configured Entra ID group and have access to the shared mailbox can see this datasource.

**Multiple Shared Mailboxes**

```json
[
  {
    "name": "Marketing",
    "value": "marketing@provectus-lab.de"
  },
  {
    "name": "HR",
    "value": "hr@provectus-lab.de",
    "targetGroups": "15e3a3d2-50a6-43e3-137e-a44316d0b448"
  },
  {
    "name": "Support",
    "value": "support@provectus-lab.de"
  }
]
```

Each shared mailbox becomes a separate datasource in SCA. If `targetGroups` are configured, only users who are members of at least one of the specified groups can see the datasource.

In addition, users must have access to the corresponding Exchange Online shared mailbox.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secure-contacts.com/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-seccontacts.sharedmailboxcontacts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
